question

MiroslavMintal-3097 avatar image
8 Votes"
MiroslavMintal-3097 asked ·

CentOS7 Support

Linux Teams application cannot be installed on CentOS 7:

 [user@pc ~]$ rpm -i teams-1.2.00.32451-1.x86_64.rpm 
 warning: teams-1.2.00.32451-1.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID be1229cf: NOKEY
 error: Failed dependencies:
     libstdc++.so.6(CXXABI_1.3.9)(64bit) is needed by teams-1.2.00.32451-1.x86_64
     libstdc++.so.6(GLIBCXX_3.4.20)(64bit) is needed by teams-1.2.00.32451-1.x86_64
     libstdc++.so.6(GLIBCXX_3.4.21)(64bit) is needed by teams-1.2.00.32451-1.x86_64
 [user@pc ~]$ rpm -i teams-insiders-1.2.00.32955-1.x86_64.rpm 
 warning: teams-insiders-1.2.00.32955-1.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID be1229cf: NOKEY
 error: Failed dependencies:
     libstdc++.so.6(CXXABI_1.3.9)(64bit) is needed by teams-insiders-1.2.00.32955-1.x86_64
     libstdc++.so.6(GLIBCXX_3.4.20)(64bit) is needed by teams-insiders-1.2.00.32955-1.x86_64
     libstdc++.so.6(GLIBCXX_3.4.21)(64bit) is needed by teams-insiders-1.2.00.32955-1.x86_64

Will be Teams supported also on CentOS7?

office-teams-linux-itpro
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

JatinPatel-MSFT avatar image
5 Votes"
JatinPatel-MSFT answered ·

Thank you for downloading Teams and providing feedback.
We are determining proper solution to support CentOS 7 and when ready, will update Teams native packages.

Cheers!

· 5 · Share
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Do you have an update on this?

Cheers!

3 Votes 3 · ·

Can you share more informations about this? I really need it for CentOS/Redhat 7.

1 Vote 1 · ·

We have a fix ready and currently we are evaluating new version in insiders program. If you are happy with trying out insiders build, you can install it from here teams-insiders-1.3.00.958-1.x86_64.rpm


2 Votes 2 · ·
AL-8391 avatar image AL-8391 MarianJavorkaMSFT ·

Thanks for your fast response. This version works well! Thanks!

1 Vote 1 · ·


Doesn't seem to work with my org's PIV single-sign on. They already have Office 365/Microsoft Teams.

1 Vote 1 · ·
khb-8857 avatar image
2 Votes"
khb-8857 answered ·

I too would like a usable solution for CentOS 7. Fedora should also be supported (if it isn't) ... it would also be a kindness to have the download page make the failure to support current releases explicit.

A snap|flatpack|docker|whatever container image would be a fine solution

· Share
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

JatinPatel-MSFT avatar image
0 Votes"
JatinPatel-MSFT answered ·

Hello,

We have some exciting news to share on CentOS 7 support.
The latest build 1.3.00.958 now supports CentOS 7 installation and is available to download from here.

Cheers,
Jatin


· Share
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

fabio avatar image
0 Votes"
fabio answered ·

Hello,

We are trying to install the teams-1.3.00.958-1.x86_64.rpm on CentOS 7 but we are having issues with the dependencies.
The first dependence was:

error: Failed dependencies:
libXss.so.1()(64bit) is needed by teams-1.3.00.958-1.x86_64

Solved installing the libXScrnSaver-1.2.3-alt1.x86_64.rpm package.

The second dependence was:
error: Failed dependencies:
rpmlib(SetVersions) is needed by libXScrnSaver-1.2.3-alt1.x86_64

About rpmlib(SetVersions) we found this information in the RedHat Access Forum:
https://access.redhat.com/discussions/3879941#comment-1437701

"The rpmlib(SetVersions) dependency will have been added to the package during the build process. It looks like something extra added in the altlinux build process that isn't there in Red Hat builds so Red Hat rpm doesn't recognize it. It looks like altlinux uses a different rpm code base, and rpmlib(SetVersions) may well be something they have added."

Please do you have any information about how we can solve this dependence?

· Share
10 |1000 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.